package com.ywt.outpatient.service.web.prescription;

import java.io.Serializable;

public class DrugInfo implements Serializable {
    /**
     * 药品Id
     */
    private int drugId;

    /**
     * 每次剂量
     */
    private double eachDose;

    /**
     * 用法
     */
    private String usage;

    /**
     * 频率
     */
    private String frequency;

    /**
     * 天数
     */
    private int days;

    /**
     * 总数
     */
    private int quantity;

    /**
     * 备注
     */
    private String remark;

    /**
     * 组号，组号相同表示它们为同组药
     */
    private int group;

    /**
     * 序号
     */
    private int orderIndex;

    /**
     * 是否为组合药
     */
    private int combination;

    private String usageCode;

    private String frequencyCode;

    private String drugName;

    private String spec;

    public int getDrugId() {
        return drugId;
    }

    public void setDrugId(int drugId) {
        this.drugId = drugId;
    }

    public double getEachDose() {
        return eachDose;
    }

    public void setEachDose(double eachDose) {
        this.eachDose = eachDose;
    }

    public String getUsage() {
        return usage;
    }

    public void setUsage(String usage) {
        this.usage = usage;
    }

    public String getFrequency() {
        return frequency;
    }

    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }

    public int getDays() {
        return days;
    }

    public void setDays(int days) {
        this.days = days;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public int getOrderIndex() {
        return orderIndex;
    }

    public void setOrderIndex(int orderIndex) {
        this.orderIndex = orderIndex;
    }

    public int getCombination() {
        return combination;
    }

    public void setCombination(int combination) {
        this.combination = combination;
    }

    public int getGroup() {
        return group;
    }

    public void setGroup(int group) {
        this.group = group;
    }

    public String getUsageCode() {
        return usageCode;
    }

    public void setUsageCode(String usageCode) {
        this.usageCode = usageCode;
    }

    public String getFrequencyCode() {
        return frequencyCode;
    }

    public void setFrequencyCode(String frequencyCode) {
        this.frequencyCode = frequencyCode;
    }

    public String getDrugName() {
        return drugName;
    }

    public void setDrugName(String drugName) {
        this.drugName = drugName;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }
}
